SDK38 upgrade issue

Please provide the following:

  1. SDK Version: 38
  2. Platforms(Android/iOS/web/all): Android/iOS

When upgrading to SDK38 I am having the following issue:

The stack points to

node_modules/react-navigation-tabs/src/views/MaterialTopTabBar.js

This is something I am not using at all (react-navigation-tabs or a TopTabBar), this app still uses the old React Navigation v2, not sure if there is something that is not compatible with SDK38, as it worked fine with SDK37.

Any ideas?

1 Like

Any know workaround? Not using react native paper at all in this project, upgrading to React Navigation (as it uses MaterialTopBar etc) would take a while right now.

material top tab bar uses react-native-paper, if you check your yarn.lock or package-lock.json you can see that. you can use yarn resolutions to override the version of react-native-paper used in the app, or you can use patch-package to fix that line of code causing the error - https://www.npmjs.com/package/patch-package.

I will give a try and update here in a moment, thanks.

Checking here I found no reference to react-native-paper nor topTabBar in my installs in package-lock.json other than it being present and used by react-navigation 2.xx, which I need to update eventually but the way the whole app is set is making it my harder than it should.

I was able to fix it by redoing the whole navigation setup in the app and upgrading React navigation to v4.4 (from 2xx). SDK 38 is working fine now.

Thank you.

1 Like

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.